From 6b4a968b87ec32fd64f00216bc7f79560dfbbea4 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Mon, 8 Aug 2016 09:01:16 +0100
Subject: [PATCH] Made hash embedding optional on Windows

---
 cscz/cscz.csproj | 103 ++++++++++++++++++++++++-----------------------
 1 file changed, 52 insertions(+), 51 deletions(-)

diff --git a/cscz/cscz.csproj b/cscz/cscz.csproj
index 6b50334..b012b4a 100644
--- a/cscz/cscz.csproj
+++ b/cscz/cscz.csproj
@@ -1,54 +1,55 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
-    <ProjectGuid>{3DE7A812-1AB9-483F-A785-4497FC8FDF2C}</ProjectGuid>
-    <OutputType>Exe</OutputType>
-    <RootNamespace>cscz</RootNamespace>
-    <AssemblyName>cscz</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
-    <Description>The C# Class Generator.</Description>
-    <ReleaseVersion>0.2</ReleaseVersion>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>bin\Debug</OutputPath>
-    <DefineConstants>DEBUG;</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <Externalconsole>true</Externalconsole>
-    <PlatformTarget>x86</PlatformTarget>
-    <CustomCommands>
-      <CustomCommands>
-        <Command type="Execute" command="cat Carrot.cscz | ./cscz" workingdir="${TargetDir}" externalConsole="True" pauseExternalConsole="True" />
-      </CustomCommands>
-    </CustomCommands>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <Optimize>true</Optimize>
-    <OutputPath>bin\Release</OutputPath>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <Externalconsole>true</Externalconsole>
-    <PlatformTarget>x86</PlatformTarget>
-  </PropertyGroup>
-  <ItemGroup>
-    <Reference Include="System" />
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="Program.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="ClassGenerator.cs" />
-  </ItemGroup>
-  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
-  <ItemGroup>
-    <EmbeddedResource Include="Help.md" />
-    <EmbeddedResource Include="git-hash.txt" />
-  </ItemGroup>
-  <PropertyGroup>
-    <PreBuildEvent IgnoreExitCode="true">git rev-parse HEAD &gt;../../git-hash.txt</PreBuildEvent>
-  </PropertyGroup>
+	<PropertyGroup>
+		<Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+		<Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+		<ProjectGuid>{3DE7A812-1AB9-483F-A785-4497FC8FDF2C}</ProjectGuid>
+		<OutputType>Exe</OutputType>
+		<RootNamespace>cscz</RootNamespace>
+		<AssemblyName>cscz</AssemblyName>
+		<TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+		<Description>The C# Class Generator.</Description>
+		<ReleaseVersion>0.2</ReleaseVersion>
+	</PropertyGroup>
+	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+		<DebugSymbols>true</DebugSymbols>
+		<DebugType>full</DebugType>
+		<Optimize>false</Optimize>
+		<OutputPath>bin\Debug</OutputPath>
+		<DefineConstants>DEBUG;</DefineConstants>
+		<ErrorReport>prompt</ErrorReport>
+		<WarningLevel>4</WarningLevel>
+		<Externalconsole>true</Externalconsole>
+		<PlatformTarget>x86</PlatformTarget>
+		<CustomCommands>
+			<CustomCommands>
+				<Command type="Execute" command="cat Carrot.cscz | ./cscz" workingdir="${TargetDir}" externalConsole="True" pauseExternalConsole="True" />
+			</CustomCommands>
+		</CustomCommands>
+	</PropertyGroup>
+	<PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+		<Optimize>true</Optimize>
+		<OutputPath>bin\Release</OutputPath>
+		<ErrorReport>prompt</ErrorReport>
+		<WarningLevel>4</WarningLevel>
+		<Externalconsole>true</Externalconsole>
+		<PlatformTarget>x86</PlatformTarget>
+	</PropertyGroup>
+	<ItemGroup>
+		<Reference Include="System" />
+	</ItemGroup>
+	<ItemGroup>
+		<Compile Include="Program.cs" />
+		<Compile Include="Properties\AssemblyInfo.cs" />
+		<Compile Include="ClassGenerator.cs" />
+	</ItemGroup>
+	<Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+	<ItemGroup>
+		<EmbeddedResource Include="Help.md" />
+		<EmbeddedResource Include="git-hash.txt" />
+	</ItemGroup>
+	<Target Name="BeforeBuild" BeforeTargets="Build">
+		<Exec Command="git rev-parse HEAD &gt;git-hash.txt" WorkingDirectory="$(ProjectDir)" IgnoreExitCode="true" />
+	</Target>
 </Project>
+
